using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;


namespace MultiLayout.MainEdit
{
    /// <summary>
    /// Page_MainEdit.xaml 的交互逻辑
    /// </summary>
    public partial class PgMainEdit : Page
    {
        FlyLayoutManager manager;

        public PgMainEdit()
        {
            InitializeComponent();
        }
        public void Init(FlyLayoutManager manager)
        {
            this.manager = manager;
        }

        private void btnGageClick(object sender, RoutedEventArgs e)
        {
            PgMainEditGage p = new PgMainEditGage();
            p.Init(manager); 
            FlyLayoutManager.NavigationService.Navigate(p);
        }

        private void btnSettingClick(object sender, RoutedEventArgs e)
        {
            WdMainConfig w = new WdMainConfig();

            w.Init(manager);
            w.Owner = FLY.ControlLibrary.COMMON.GetWindow(this);
            w.ShowDialog();
        }

        private void btnBackClick(object sender, RoutedEventArgs e)
        {
            FlyLayoutManager.NavigationService.GoBack();
        }

    }
}
